Bug 145789 - rhncfg-client verify does not work
rhncfg-client verify does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nick Hansen
Fanny Augustin
:
Depends On: 147108
Blocks: 145824
  Show dependency treegraph
 
Reported: 2005-01-21 11:47 EST by Thorsten Scherf
Modified: 2007-10-23 22:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-08 12:25:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Scherf 2005-01-21 11:47:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
touch /etc/sysconfig/rhn/allowed-actions/configfiles/all

create a samba config channel
upload /etc/samba/smb.conf

run "rhncfg-client verify /etc/samba/smb.conf"

nothing happens. after several minutes abort the action with ctrl-c,
this is the output:

Traceback (most recent call last):
  File "/usr/bin/rhncfg-client", line 29, in ?
    sys.exit(Main().main() or None)
  File "/usr/share/rhn/config_common/rhn_main.py", line 171, in main
    handler.run()
  File "/usr/share/rhn/config_client/handler_base.py", line 60, in run
    self._process_file(src, dst, file)
  File "/usr/share/rhn/config_client/rhncfgcli_verify.py", line 23, in
_process_file
    src_sha1 = utils.sha1_file(src)
  File "/usr/share/rhn/config_common/utils.py", line 114, in sha1_file
    while 1:
KeyboardInterrupt


Version-Release number of selected component (if applicable):
3.1.6-51

How reproducible:
Always

Steps to Reproduce:
1.run rhncfg-client verify <file>
2.
3.
    

Actual Results:  nothing, program hangs. traceback see above.

Expected Results:  verify the requested file

Additional info:
Comment 1 Nick Hansen 2005-02-03 16:52:49 EST
I'm seeing this as well. Adding as a mustfix for rhn370sat.
Comment 2 Todd Warner 2005-02-04 08:48:24 EST
Customer Facing now "NO"
Docs status now tracked by bug 147108
Comment 3 Nick Hansen 2005-02-11 14:10:16 EST
I'm not seeing this problem in the newest rhncfg packages. Thorsten,
can you up2date rhncfg on your box to grab the 3.1.6-54 version of the
pacakges and see if you still see this issue?
Comment 4 Nick Hansen 2005-02-24 11:40:22 EST
Thorsten, any update?
Comment 5 Thorsten Scherf 2005-02-24 13:44:38 EST
version 3.1.6-54 is working very well. no problems any more.
Comment 6 Nick Hansen 2005-02-24 15:18:12 EST
Thanks for checking. Closing this out.
Comment 7 Nick Hansen 2005-02-24 15:25:25 EST
Actually, I'm going to reopen this and make sure that RHN qa tests
this in the new 3.2-* versions of the packages.
Comment 8 Fanny Augustin 2005-03-15 10:16:01 EST
Has this command "rhncfg-client verify" been replaced by
"rhncfg-client diff"? At least this is what the doc bug is saying:
147108.  If so, this is inconsistent with the list of valids modes. 
Run "rhncfg-client" and you will see "diff" and "verify" listed as
valid modes.
Comment 9 Mihai Ibanescu 2005-03-15 12:01:18 EST
No, rhncfg-client verify is different than rhncfg-client diff.
Comment 10 Fanny Augustin 2005-03-15 19:19:40 EST
Looks good on QA.
Comment 11 Todd Warner 2005-04-08 12:25:17 EDT
mass move: PROD_READY --> CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.